// BellmanFord.h: interface for the BellmanFordLearning class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BELLMANFORDLEARNING_H__C373484D_EF52_4118_BC1D_BD80804906CE__INCLUDED_)
#define AFX_BELLMANFORDLEARNING_H__C373484D_EF52_4118_BC1D_BD80804906CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "RoutingAlgo.h"


class BellmanFordLearning  
{
protected:
	int m_numOfJunctions;
	int* m_locMatrix;
	double* m_vertixVal;
	CPtrArray m_edges;
public:
	void Init(){}
	bool UpdateEdges(int road,int fromCar,int toCar,CPtrArray* pEdges){return false;}
	bool UpdateEdge(int roadId, double weight){return false;}
	CPtrArray* GetEdges(){return NULL;}
	void Build(double** matrix,int numOfJunctions);
	void Calc(int source);
	void Clear();
	CString ShortestPath(int i, int j);
	void Update(int from, int to, double value,int time, /*raz 03-06-06*/int nCarID);
	void UpdateCurrentEdge(int from, int to, double value,int time){}
	void BuildPath(int i, int j,CMapWordToPtr& routeTable);
	BellmanFordLearning();
	virtual ~BellmanFordLearning();

};

#endif // !defined(AFX_BELLMANFORDLEARNING_H__C373484D_EF52_4118_BC1D_BD80804906CE__INCLUDED_)
