// Dijkstra.h: interface for the Dijkstra class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIJKSTRA_H__41702DF9_613A_40A4_903D_85777963BC05__INCLUDED_)
#define AFX_DIJKSTRA_H__41702DF9_613A_40A4_903D_85777963BC05__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Num
{
public:
	int m_id;
	Num(int id)
	{
		m_id=id;
	}
};



class Dijkstra  
{
protected:
	int m_numOfJunctions;
	double** m_matrix;
	double** m_initMatrix;
	int** m_locMatrix;
public:
	void Clear();
	CString ShortestPath(int i,int j);
	CString toString();
	void Calc();
	void BuildPath(int i, int j,CMapWordToPtr& routeTable);
	void Update(int from,int to,double value);
	Init(double** matrix,int numOfJunctions);
	Dijkstra();
	virtual ~Dijkstra();

};

#endif // !defined(AFX_DIJKSTRA_H__41702DF9_613A_40A4_903D_85777963BC05__INCLUDED_)
