// EdgesArray.h: interface for the CEdgesArray class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EDGESARRAY_H__C671FA16_8632_45AE_8EC0_54FB553258D2__INCLUDED_)
#define AFX_EDGESARRAY_H__C671FA16_8632_45AE_8EC0_54FB553258D2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//24-04-06 raz, new class

class EdgeDetail;
class Edge;

class CEdgesArray  
{
public:
	int m_id;
	void SetAt(int index, EdgeDetail *pEdgeDetail, bool freeData = FALSE);
	void RemoveAt(int index);
	void InsertAt(int index, Edge *pEdge, bool freeData);
	void InsertAt(int index, EdgeDetail *pEdgeDetail, bool freeData = FALSE);
	void Add(Edge *pEdge, bool freeData = FALSE);
	void Add(EdgeDetail *pEdgeDetail, bool freeData = FALSE);
	void Clean();
	EdgeDetail* GetAt(int index);
	int GetSize();
	CEdgesArray();
	virtual ~CEdgesArray();
private:
	CPtrArray m_edgesDetails;//array of (EdgeDetail*)

};

#endif // !defined(AFX_EDGESARRAY_H__C671FA16_8632_45AE_8EC0_54FB553258D2__INCLUDED_)
