// GossipEdgeInfo.h: interface for the GossipEdgeInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GOSSIPEDGEINFO_H__625AF1B9_F61A_40DC_B71A_F0523971A1BD__INCLUDED_)
#define AFX_GOSSIPEDGEINFO_H__625AF1B9_F61A_40DC_B71A_F0523971A1BD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class GossipEdgeInfo  
{
public:
	int m_edgeId;
	int m_fromEdgeId;
	int m_lastTimeUpdate;
	int m_averageDelayTrueData;
	int m_averageDelayFalseData;
	int m_updateTimesTrueData;//raz 26-04-06, splitting to updates of true data and false data
	int m_updateTimesFalseData;
	int m_dist;
	int m_trafficLoad;
	
	bool m_bOpposite;
	CString m_str;
	CString m_timeStr;
public:
	int GetTrafficLoad();
	
	GossipEdgeInfo();
	void Init(int edgeId,int fromEdgeId,int distance,bool opposite);
	void Calc(int time, WORD dataType);
	virtual ~GossipEdgeInfo();

};

#endif // !defined(AFX_GOSSIPEDGEINFO_H__625AF1B9_F61A_40DC_B71A_F0523971A1BD__INCLUDED_)
