// IRoadShape.h: interface for the IRoadShape class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IROADSHAPE_H__0A5CBE29_66C2_4E13_B4A4_51B5851BFE4E__INCLUDED_)
#define AFX_IROADSHAPE_H__0A5CBE29_66C2_4E13_B4A4_51B5851BFE4E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IRoad.h"

class IRoadShape  
{
public:
	virtual int GetStartJunctionId()=0;
	virtual int GetEndJunctionId()=0;
	virtual void Update()=0;
	virtual int GetId()=0;
	virtual void SetRoad(IRoad* pRoad)=0;
	virtual void SetTrafficLoad(int load,int max)=0;
	virtual ~IRoadShape();
};

#endif // !defined(AFX_IROADSHAPE_H__0A5CBE29_66C2_4E13_B4A4_51B5851BFE4E__INCLUDED_)
