// Normalize.h: interface for the Normalize class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NORMALIZE_H__E2D54B5A_57C3_400B_BBBA_3A6A791F7936__INCLUDED_)
#define AFX_NORMALIZE_H__E2D54B5A_57C3_400B_BBBA_3A6A791F7936__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "XcelDataContainer.h"

class Normalize  
{
public:
	double m_count;
	CPtrArray m_rarray,m_garray,m_parray,m_rparray;
	CPtrArray m_strarray,m_stgarray,m_stparray,m_strparray;
	double g_min,g_max,g_gap;

	XcelDataContainer m_regular,m_gossip,m_public,m_realPublic;

	CMapWordToPtr m_JourneyDepartRegDataPublicScenario, m_JourneyDepartGossipDataPublicScenario, m_JourneyDepartPublicDataPublicScenario,m_JourneyDepartGossipLiarDataPublicScenario;
	CMapWordToPtr m_JourneyDepartRegDataGossipScenario, m_JourneyDepartGossipDataGossipScenario, m_JourneyDepartPublicDataGossipScenario, m_JourneyDepartGossipLiarDataGossipScenario;
	CMapWordToPtr m_JourneyDepartRegDataRegularScenario;

	CString m_regInfoFileName, m_gossipInfoFileName, m_publicInfoFileName;

	double m_totalRegJourneyPublicScenario, m_totalGossipJourneyPublicScenario, m_totalPublicJourneyPublicScenario, m_totalGossipLiarJourneyPublicScenario;
	double m_totalRegJourneyGossipScenario, m_totalGossipJourneyGossipScenario, m_totalPublicJourneyGossipScenario, m_totalGossipLiarJourneyGossipScenario;
	double m_totalRegJourneyRegularScenario;

	int m_totalRegCountPublicScenario, m_totalGossipCountPublicScenario, m_totalPublicCountPublicScenario, m_totalGossipLiarCountPublicScenario;
	int m_totalRegCountGossipScenario, m_totalGossipCountGossipScenario, m_totalPublicCountGossipScenario, m_totalGossipLiarCountGossipScenario;
	int m_totalRegCountRegularScenario;

public:
	void ReadGossipScenarioInfoData(CString foldeName, CString infoFileName);//RAZ
	void ReadPublicScenarioInfoData(CString foldeName, CString infoFileName);//RAZ
	void ReadRegularScenarioInfoData(CString foldeName, CString infoFileName);//RAZ
	void Average(bool bNormalize);
	void SpecialAverage();
	void NetworkLoadAverage();
	void STNetworkLoadAverage();
	void Execute(CString folderName,double percent); 
	void STeken(CString folderName); 
	void ReadData(CString fileName,CPtrArray& array1,CPtrArray& array2,CPtrArray& array3,double& min,double& max); 
	void UpdateData(CString fileName,CPtrArray& array1,CPtrArray& array2,CPtrArray& array3,double min,double max);
	void ExecuteST(CString folderName);
	void UpdateST(CPtrArray* array1,CPtrArray* array2,CPtrArray* avarray,CPtrArray* starray,double min,double max);
	void ST(bool bNormalize);
	void CalcST(CPtrArray& array,CString filePath,double num);
	void WriteNormalize();
	void WriteAverage(CString folderName);
	void WriteSpecialAverage(CString folderName);
	void WriteNetworkLoadAverage(CString folderName);
	void WriteSTNetworkLoadAverage(CString folderName);
	void WriteST(CString folderName);
	Normalize();
	virtual ~Normalize();

};

#endif // !defined(AFX_NORMALIZE_H__E2D54B5A_57C3_400B_BBBA_3A6A791F7936__INCLUDED_)
