// XcelDetailDataContainer.cpp: implementation of the XcelDetailDataContainer class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "VisualTransportationNetwork.h"
#include "XcelDetailDataContainer.h"
#include "XcelDetailData.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

XcelDetailDataContainer::XcelDetailDataContainer()
{

}

XcelDetailDataContainer::~XcelDetailDataContainer()
{

}

int XcelDetailDataContainer::GetSize()
{
	return m_dataList.GetSize();
}

void XcelDetailDataContainer::Average(int max)
{
	m_averageList.SetSize(max);
	XcelDetailData* pData;
	double val;
	for(int i=0;i<m_dataList.GetSize();i++)
	{
		pData = (XcelDetailData*)m_dataList.GetAt(i);
		for(int j=0;j<max;j++)
		{
			val = pData->GetValue(j);
			val = max(val,0);
			SetVal(m_averageList,j,GetVal(m_averageList,j)+val);
		}
	}
	for(i=0;i<m_averageList.GetSize();i++)
	{
		SetVal(m_averageList,i,GetVal(m_averageList,i)/GetSize());
	}
}

void XcelDetailDataContainer::SpecialAverage(int max)
{

	m_specialAverageList.SetSize(max);
	XcelDetailData* pData;
	double val;
	for(int i=0;i<m_dataList.GetSize();i++)
	{
		pData = (XcelDetailData*)m_dataList.GetAt(i);
		for(int j=0;j<max;j++)
		{
			val = pData->GetSpecialValue(j);
			if(val<0)
				val = 0;
			SetVal(m_specialAverageList,j,GetVal(m_specialAverageList,j)+val);
		}
	}
	for(i=0;i<m_specialAverageList.GetSize();i++)
	{
		SetVal(m_specialAverageList,i,GetVal(m_specialAverageList,i)/GetSize());
	}
}
