// BellmanFord.h: interface for the BellmanFord class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BELLMANFORD_H__C373484D_EF52_4118_BC1D_BD80804906CE__INCLUDED_)
#define AFX_BELLMANFORD_H__C373484D_EF52_4118_BC1D_BD80804906CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "RoutingAlgo.h"


class BellmanFord 
{
protected:
	int m_numOfJunctions;
	double** m_matrix;
	int* m_locMatrix;
	double* m_vertixVal;
	CPtrArray m_edges;
public:
	void Init(){}
	bool UpdateEdges(int road,int fromCar,int toCar,CPtrArray* pEdges){return false;}
	bool UpdateEdge(int roadId, double weight){return false;}
	CPtrArray* GetEdges(){return NULL;}
	void Build(double** matrix,int numOfJunctions);
	void Calc(int source);
	void Clear();
	CString ShortestPath(int i, int j);
	void Update(int from, int to, double value,int time);
	void UpdateCurrentEdge(int from, int to, double value,int time){}
	void BuildPath(int i, int j,CMapWordToPtr& routeTable);
	CString toString();
	BellmanFord();
	virtual ~BellmanFord();

};

#endif // !defined(AFX_BELLMANFORD_H__C373484D_EF52_4118_BC1D_BD80804906CE__INCLUDED_)
