// EdgeDetail.h: interface for the EdgeDetail class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EDGEDETAIL_H__97CDC3D0_86B2_4F12_A23F_7380A6D48A93__INCLUDED_)
#define AFX_EDGEDETAIL_H__97CDC3D0_86B2_4F12_A23F_7380A6D48A93__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//24-04-06 raz, new class

class Edge;

class EdgeDetail  
{
public:
	WORD GetDataType();
	Edge* GetEdge();
	EdgeDetail();
	EdgeDetail(Edge *pNewEdge);
	EdgeDetail(EdgeDetail *pNewEdge);
	bool SetHistory(Edge *pEdge, int nCarID, bool bIsTrueReliableCar);
	Edge *GetHistoryAt(WORD i);
	virtual ~EdgeDetail();

private:
//	int m_id;
	bool m_bHistoryFull;
	WORD m_bInited_m_pEdge;
	Edge* m_pEdge;  //valid edge to be gossiped about
	Edge* m_pHistoryEdges[HISTORY_SIZE]; //history of gathered edges

	bool AddHistory(Edge *pEdge);
	bool GenerateBelievedEdge(int nCarID, bool bIsTrueReliableCar);
	bool IsHistoryFull();
};

#endif // !defined(AFX_EDGEDETAIL_H__97CDC3D0_86B2_4F12_A23F_7380A6D48A93__INCLUDED_)
