// IRoad.h: interface for the IRoad class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IROAD_H__815638D2_6A9D_4E0C_87F4_97CFDD34554D__INCLUDED_)
#define AFX_IROAD_H__815638D2_6A9D_4E0C_87F4_97CFDD34554D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class IRoad  
{
public:
	virtual void SetVelocity(int velocity)=0;
	virtual void SetLength(int length)=0;
	virtual void SetAsStartingRoad(bool start)=0;
	virtual void SetCarsPerStep(int cars)=0;
	virtual int  GetVelocity()=0;
	virtual int GetLength()=0;
	virtual double GetWeight()=0;
	virtual int GetCarsPerStep()=0;
	virtual bool GetAsStartingRoad()=0;
	virtual ~IRoad();

};

#endif // !defined(AFX_IROAD_H__815638D2_6A9D_4E0C_87F4_97CFDD34554D__INCLUDED_)
