// IVisualNetwork.h: interface for the IVisualNetwork class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IVISUALNETWORK_H__7B707536_1C0C_4478_9A60_089B0437FA8E__INCLUDED_)
#define AFX_IVISUALNETWORK_H__7B707536_1C0C_4478_9A60_089B0437FA8E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#include "IShape.h"
#include "IJunctionShape.h"
#include "IRoadShape.h"

class IVisualNetwork  
{
public:
	virtual CPtrArray* GetJunctionShapeList()=0;
	virtual CPtrArray* GetRoadShapeList()=0;
	virtual void Load(CString path)=0;
	virtual void Save(CString path)=0;
	virtual void UpdateTrafficLoad()=0;
	virtual void SelectJunction(int id,bool select)=0;
	virtual ~IVisualNetwork();

};

#endif // !defined(AFX_IVISUALNETWORK_H__7B707536_1C0C_4478_9A60_089B0437FA8E__INCLUDED_)
