// JunctionFindDialog.cpp : implementation file
//

#include "stdafx.h"
#include "VisualTransportationNetwork.h"
#include "JunctionFindDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// JunctionFindDialog dialog


JunctionFindDialog::JunctionFindDialog(IVisualNetwork* pView,CWnd* pParent /*=NULL*/)
	: CDialog(JunctionFindDialog::IDD, pParent)
{
	m_pView = pView;
	//{{AFX_DATA_INIT(JunctionFindDialog)
	m_junctionId = 0;
	//}}AFX_DATA_INIT
}


void JunctionFindDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(JunctionFindDialog)
	DDX_Text(pDX, IDC_EDIT_FIND, m_junctionId);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(JunctionFindDialog, CDialog)
	//{{AFX_MSG_MAP(JunctionFindDialog)
	ON_BN_CLICKED(IDC_BUTTON_FIND, OnButtonFind)
	ON_COMMAND(ID_APP_EXIT, OnAppExit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// JunctionFindDialog message handlers

void JunctionFindDialog::OnButtonFind() 
{
	m_pView->SelectJunction(m_junctionId,false);		
	UpdateData(TRUE);
	m_pView->SelectJunction(m_junctionId,true);		
}

void JunctionFindDialog::OnAppExit() 
{
	
}

void JunctionFindDialog::OnOK() 
{
	m_pView->SelectJunction(m_junctionId,false);		
	
	CDialog::OnOK();
}
