// Shape.h: interface for the Shape class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHAPE_H__BC3A9748_F234_44C4_95CF_999E5559B387__INCLUDED_)
#define AFX_SHAPE_H__BC3A9748_F234_44C4_95CF_999E5559B387__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IShape.h"

class Shape  
{
public:
	CPoint m_startPoint;
	CPoint m_endPoint;
	int m_id;
	bool m_bComplete;
	CPtrArray* m_pShapeList;
	shapeType m_type;
public:
	shapeType GetType();


	virtual bool Load(CStdioFile *pFile);
	virtual void Save(CStdioFile *pFile);
	virtual void Draw(CDC* pDC)=0;
	virtual bool Complete(CPoint point);
	void UpdatePos(CPoint point);
	virtual bool Init(CPtrArray* pShapeArray,CPoint point);
	virtual bool Contains(CPoint point);
	Shape();
	virtual ~Shape();

};

#endif // !defined(AFX_SHAPE_H__BC3A9748_F234_44C4_95CF_999E5559B387__INCLUDED_)
