// XcelData.h: interface for the XcelData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XCELDATA_H__B1B65A34_92BC_4D6F_8A18_12AE88FD4B54__INCLUDED_)
#define AFX_XCELDATA_H__B1B65A34_92BC_4D6F_8A18_12AE88FD4B54__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define G_MAX 100
#define G_MIN 0

class XcelData  
{
public:
	CString m_fileName,m_folderName;
	CPtrArray m_data1,m_data2,m_networkLoad,m_stNetworkLoad;
	CPtrArray m_normalize1,m_normalize2;
	int m_type;
	double g_min,g_max,g_gap;
	double m_percent;

public:
	void Write();
	int GetSize();
	double GetNormalizedValue(int index);
	double GetValue(int index);
	double GetSpecialValue(int index);
	double GetNetworkLoadValue(int index);
	double GetSTNetworkLoadValue(int index);
	void ReadData(double& min,double& max);
	void Normalize(double min,double max);
	XcelData(CString folderName,int type,double percent);
	virtual ~XcelData();

};

#endif // !defined(AFX_XCELDATA_H__B1B65A34_92BC_4D6F_8A18_12AE88FD4B54__INCLUDED_)
