// XcelDataContainer.h: interface for the XcelDataContainer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XCELDATACONTAINER_H__8874EF78_CC33_43BA_A5CB_2E7D72CC9F17__INCLUDED_)
#define AFX_XCELDATACONTAINER_H__8874EF78_CC33_43BA_A5CB_2E7D72CC9F17__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "XcelData.h"

class XcelDataContainer  
{
public:
	CPtrArray m_dataList;
	CPtrArray m_averageList;
	CPtrArray m_specialAverageList;
	CPtrArray m_networkLoadAverage;
	CPtrArray m_stNetworkLoadAverage;
	CPtrArray m_STList;

public:
	void WriteNormalize();
	void WriteAverage(CString fileName);
	void WriteST(CString fileName);
	int GetSize();
	void Add(XcelData* pData){m_dataList.Add(pData);}
	void Average(bool bNormalize);
	void SpecialAverage();
	void NetworkLoadAverage();
	void STNetworkLoadAverage();
	void ST(bool bNormalize);
	XcelDataContainer();
	virtual ~XcelDataContainer();

};

#endif // !defined(AFX_XCELDATACONTAINER_H__8874EF78_CC33_43BA_A5CB_2E7D72CC9F17__INCLUDED_)
