// XcelDetailData.h: interface for the XcelDetailData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XCELDETAILDATA_H__80811E36_E402_4C2E_8A42_339A1E08E868__INCLUDED_)
#define AFX_XCELDETAILDATA_H__80811E36_E402_4C2E_8A42_339A1E08E868__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class DetailData
{
public:
	int m_id;
	int m_value;

	DetailData(int id,int value)
	{
		m_id = id;
		m_value = value;
	}
};

class XcelDetailData  
{
public:
	int m_type;
	double m_percent;
	CString m_fileName,m_folderName;
	CPtrArray m_data1,m_data2;

public:
	void ReadData(double& min,double& max);
	double GetValue(int index);
	double GetSpecialValue(int index);
	XcelDetailData(CString folderName,int type,double percent);
	virtual ~XcelDetailData();

};

#endif // !defined(AFX_XCELDETAILDATA_H__80811E36_E402_4C2E_8A42_339A1E08E868__INCLUDED_)
